Bug 21131 - Mismatch in comments for m4 config macros in libstdc++
Summary: Mismatch in comments for m4 config macros in libstdc++
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 3.3.5
: P2 minor
Target Milestone: 3.3.6
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-20 22:49 UTC by Jones Desougi
Modified: 2005-07-23 22:49 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work: 3.4.4 4.0.1 4.1.0 3.3.6
Known to fail:
Last reconfirmed:


Attachments
Patch for 3.3 (382 bytes, patch)
2005-04-20 22:52 UTC, Jones Desougi
Details | Diff
Patch for mainline (also 4.0 and 3.4 at different offset) (333 bytes, patch)
2005-04-20 22:54 UTC, Jones Desougi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jones Desougi 2005-04-20 22:49:47 UTC
Minor comment mismatch for GLIBCPP_CHECK_STDLIB_DECL_AND_LINKAGE_2 in libstdc++.
Make all comments for macros of this same type consistent.

This is present on mainline and all open release branches.
For 3.3 in acinclude.m4.
For mainline, 4.0 and 3.4 in linkage.m4.
Comment 1 Jones Desougi 2005-04-20 22:52:50 UTC
Created attachment 8691 [details]
Patch for 3.3
Comment 2 Jones Desougi 2005-04-20 22:54:33 UTC
Created attachment 8692 [details]
Patch for mainline (also 4.0 and 3.4 at different offset)
Comment 3 CVS Commits 2005-04-26 15:50:01 UTC
Subject: Bug 21131

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	paolo@gcc.gnu.org	2005-04-26 15:49:41

Modified files:
	libstdc++-v3   : ChangeLog linkage.m4 

Log message:
	2005-04-26  Jones Desougi  <jones@ingate.com>
	
	PR libstdc++/21131
	* linkage.m4: Fix comments.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&r1=1.2979&r2=1.2980
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/linkage.m4.diff?cvsroot=gcc&r1=1.14&r2=1.15

Comment 4 CVS Commits 2005-04-26 15:51:45 UTC
Subject: Bug 21131

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	paolo@gcc.gnu.org	2005-04-26 15:51:26

Modified files:
	libstdc++-v3   : ChangeLog linkage.m4 

Log message:
	2005-04-26  Jones Desougi  <jones@ingate.com>
	
	PR libstdc++/21131
	* linkage.m4: Fix comments.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.2224.2.220&r2=1.2224.2.221
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/linkage.m4.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.4.4.4&r2=1.4.4.5

Comment 5 CVS Commits 2005-04-26 15:52:44 UTC
Subject: Bug 21131

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-4_0-branch
Changes by:	paolo@gcc.gnu.org	2005-04-26 15:52:16

Modified files:
	libstdc++-v3   : ChangeLog linkage.m4 

Log message:
	2005-04-26  Jones Desougi  <jones@ingate.com>
	
	PR libstdc++/21131
	* linkage.m4: Fix comments.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.2917.2.29&r2=1.2917.2.30
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/linkage.m4.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.10&r2=1.10.38.1

Comment 6 Paolo Carlini 2005-04-26 15:53:25 UTC
Fixed 3_4, 4_0 and mainline.
Comment 7 CVS Commits 2005-05-03 09:50:17 UTC
Subject: Bug 21131

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_3-branch
Changes by:	gdr@gcc.gnu.org	2005-05-03 09:49:47

Modified files:
	libstdc++-v3   : ChangeLog acinclude.m4 

Log message:
	2005-05-03  Jones Desougi  <jones@ingate.com>
	
	PR libstdc++/21131
	* acinclude.m4: Fix comments.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.1464.2.197&r2=1.1464.2.198
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/acinclude.m4.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.223.2.11&r2=1.223.2.12

Comment 8 Gabriel Dos Reis 2005-05-03 10:01:29 UTC
Applied 3.3.x patch too.
Comment 9 Paolo Carlini 2005-05-03 10:15:36 UTC
... remember to regenerate ;)